/* 如果使用该初始化方法，请一定要在html放三个标签，或者直接看代码修改内容
* <div id="editor-toolbar"></div>
* <div id="editor-text-area" style="height: 600px;border: 1px solid lightgrey"></div>
* <textarea id="content-textarea" name="content" style="display: none;"></textarea>
* 另外此方法依赖layer.js & axios.js 做遮罩弹框，
* 也可以重写 uploadImage:onFailed | onError 自定义提示
* */
const E = window.wangEditor

// 切换语言
const LANG = location.href.indexOf('lang=en') > 0 ? 'en' : 'zh-CN'
E.i18nChangeLanguage(LANG)

const editorConfig = {
    placeholder: '',
    readOnly: true,
    scroll: true, // 禁止编辑器滚动
}

// 先创建 editor
const editor = E.createEditor({
    selector: '#editor-text-area',
    // content: [],
    html: $('#content-textarea').val(),
    config: editorConfig
})
